Ole32
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface Ole32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary, W32API

    public interface Ole32

extends W32API

Ole32.dll Interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.W32API
`W32API.DWORD, W32API.HANDLE, W32API.HANDLEByReference, W32API.HBITMAP, W32API.HDC, W32API.HICON, W32API.HINSTANCE, W32API.HMODULE, W32API.HRESULT, W32API.HRGN, W32API.HWND, W32API.LONG, W32API.LONG_PTR, W32API.LPARAM, W32API.LRESULT, W32API.SIZE_T, W32API.SSIZE_T, W32API.UINT_PTR, W32API.ULONG_PTR, W32API.WORD, W32API.WPARAM`

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static Ole32` | `INSTANCE`

Fields inherited from interface com.sun.jna.platform.win32.W32API
`HWND_BROADCAST, INVALID_HANDLE_VALUE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`W32API.HRESULT` | `CoCreateGuid(Guid.GUID.ByReference pguid)` Creates a GUID, a unique 128-bit integer used for CLSIDs and interface identifiers.
`W32API.HRESULT` | `IIDFromString(java.lang.String lpsz, Guid.GUID.ByReference lpiid)` Converts a string generated by the StringFromIID function back into the original interface identifier (IID).
`int` | `StringFromGUID2(Guid.GUID.ByReference rguid, char[] lpsz, int cchMax)` Converts a globally unique identifier (GUID) into a string of printable characters.

Field Detail

### INSTANCE

    static final Ole32 INSTANCE

Method Detail

### CoCreateGuid

    W32API.HRESULT CoCreateGuid(Guid.GUID.ByReference pguid)

  Creates a GUID, a unique 128-bit integer used for CLSIDs and interface identifiers.

  Parameters:
    `pguid` - A pointer to the requested GUID.
  Returns:
    S_OK if the GUID was successfully created.

### StringFromGUID2

    int StringFromGUID2(Guid.GUID.ByReference rguid,
                        char[] lpsz,
                        int cchMax)

  Converts a globally unique identifier (GUID) into a string of printable characters.

  Parameters:
    `rguid` - The GUID to be converted.
    `lpsz` - A pointer to a caller-allocated string variable to receive the resulting string.
    `cchMax` - The number of characters available in the lpsz buffer.
  Returns:
    If the function succeeds, the return value is the number of characters in the returned string, including the null terminator. If the buffer is too small to contain the string, the return value is 0.

### IIDFromString

    W32API.HRESULT IIDFromString(java.lang.String lpsz,
                                 Guid.GUID.ByReference lpiid)

  Converts a string generated by the StringFromIID function back into the original interface identifier (IID).

  Parameters:
    `lpsz` - A pointer to the string representation of the IID.
    `lpiid` - A pointer to the requested IID on return.
  Returns:
    This function can return the standard return values E_INVALIDARG, E_OUTOFMEMORY, and S_OK.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD